* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ TMSDEMO.PRG
* Program..........: TMSDEMO.PRG
* Author...........: Tim Snyder
* Notice...........: Copyright (C) 1987, TMS CONSULTING
* Revision Date....: 11-10-87
* Purpose..........: Demonstrate the syntax and use of TMSSCR.BIN
* Called By........: From dot prompt using dBase III Plus
* Calls............: TMSSCR.BIN
* Purpose..........: Demonstrate the syntax and use of TMSSCR.OBJ
* Called By........: From QuickSilver or Clipper compiled program
* Calls............: TMSSCR.OBJ
*
* Compiler Notes...: Use the following commands to compile w/QuickSilver
*    Quicksilver...: DB3C TMSDEMO
*                  : DB3L -Q TMSDEMO
*                  : QS -C!TMSSCR TMSDEMO        (Ver 2 of Link)
*                  :        or
*                  : QS -3 -C!TMSSCR TMSDEMO     (Ver 3 of Link)
*                  :        or
*                  : QS -P -C!TMSSCR TMSDEMO     (Plink86)
*                  : LINK @TMSDEMO.LNK
*                  :
*        Clipper...: CLIPPER TMSDEMO
*                  : LINK TMSDEMO+TMSSCR,,,,    (assumes clipper.lib is in
*                  :                             same directory as tmsdemo.obj
*                  :                             & tmsscr.obj)
*
PUBLIC CLIPPER,XNATIVE
* clipper set .t. if compiled w/Clipper
* xnative set .t. if compiled w/QuickSilver
SET TALK OFF
SET STAT OFF
SET CONS OFF
CLEAR

IF .NOT. CLIPPER .AND. .NOT. XNATIVE
  * Load the binary file. Do this only once.
  LOAD TMSSCR
ENDI

* Read a FlashCode Screen
MEMVAR='RFC'+CHR(1)+CHR(1)+'TMSDEMO.SCR'
IF .NOT. XNATIVE
  * use call with dBase III Plus or Clipper or QuickSilver d-code
  CALL TMSSCR WITH MEMVAR
ELSE
  * use ccall with QuickSilver native code
  CCALL TMSSCR WITH MEMVAR
ENDI
* check to see if the read was successful
MSG=IIF(LEFT(MEMVAR,1)=CHR(255),'File Read Error',;
   'Flashcode Read Successful. Press a Key to Continue...')
@ 24,0 SAY MSG
WAIT
@ 24,0

* Write a Flashcode Screen
MEMVAR='WFC'+CHR(2)+CHR(1)+CHR(24)+CHR(80)+'TEST1.SCR'
IF .NOT. XNATIVE
  * use call with dBase III Plus or Clipper or QuickSilver d-code
  CALL TMSSCR WITH MEMVAR
ELSE
  * use ccall with QuickSilver native code
  CCALL TMSSCR WITH MEMVAR
ENDI
* check to see if the write was successful
MSG=IIF(LEFT(MEMVAR,1)=CHR(255),'File Write Error',;
   'FlashCode Write Successful. Press a Key to Continue...')
@ 24,0 SAY MSG
WAIT
@ 24,0

* Save a Screen
MEMVAR='SAV'
IF .NOT. XNATIVE
  * use call with dBase III Plus or Clipper or QuickSilver d-code
  CALL TMSSCR WITH MEMVAR
ELSE
  * use ccall with QuickSilver native code
  CCALL TMSSCR WITH MEMVAR
ENDI

* Read a SayWhat?! Screen
MEMVAR='RSW'+CHR(2)+CHR(1)+'TMSDEMO.SQZ'
IF .NOT. XNATIVE
  * use call with dBase III Plus or Clipper or QuickSilver d-code
  CALL TMSSCR WITH MEMVAR
ELSE
  * use ccall with QuickSilver native code
  CCALL TMSSCR WITH MEMVAR
ENDI
* check to see if the read was successful
MSG=IIF(LEFT(MEMVAR,1)=CHR(255),'File Read Error',;
   'SayWhat Read Successful. Press a Key to Continue...')
@ 24,0 SAY MSG
WAIT
@ 24,0

* Write a SayWhat?! Screen
MEMVAR='WSW'+CHR(2)+CHR(1)+CHR(24)+CHR(80)+'TEST2.SQZ'
IF .NOT. XNATIVE
  * use call with dBase III Plus or Clipper or QuickSilver d-code
  CALL TMSSCR WITH MEMVAR
ELSE
  * use ccall with QuickSilver native code
  CCALL TMSSCR WITH MEMVAR
ENDI
* check to see if the write was successful
MSG=IIF(LEFT(MEMVAR,1)=CHR(255),'File Write Error',;
   'SayWhat?! Write Successful. Press a Key to Continue...')
@ 24,0 SAY MSG
WAIT
@ 24,0

* Read a QuickSilver Screen
MEMVAR='RQS'+CHR(2)+CHR(1)+'TMSDEMO.SCN'
IF .NOT. XNATIVE
  * use call with dBase III Plus or Clipper or QuickSilver d-code
  CALL TMSSCR WITH MEMVAR
ELSE
  * use ccall with QuickSilver native code
  CCALL TMSSCR WITH MEMVAR
ENDI
* check to see if the read was successful
MSG=IIF(LEFT(MEMVAR,1)=CHR(255),'File Read Error',;
   'QuickSilver Read Successful. Press a Key to Continue...')
@ 24,0 SAY MSG
WAIT
@ 24,0

* Write a QuickSilver Screen
MEMVAR='WQS'+CHR(2)+CHR(1)+CHR(24)+CHR(80)+'TEST3.SCN'
IF .NOT. XNATIVE
  * use call with dBase III Plus or Clipper or QuickSilver d-code
  CALL TMSSCR WITH MEMVAR
ELSE
  * use ccall with QuickSilver native code
  CCALL TMSSCR WITH MEMVAR
ENDI
* check to see if the write was successful
MSG=IIF(LEFT(MEMVAR,1)=CHR(255),'File Write Error',;
   'Quicksilver Write Successful. Press a Key to Continue...')
@ 24,0 SAY MSG
WAIT
@ 24,0

* Read a TMS Screen
MEMVAR='RTS'+CHR(2)+CHR(1)+'TMSDEMO.TMS'
IF .NOT. XNATIVE
  * use call with dBase III Plus or Clipper or QuickSilver d-code
  CALL TMSSCR WITH MEMVAR
ELSE
  * use ccall with QuickSilver native code
  CCALL TMSSCR WITH MEMVAR
ENDI
* check to see if the read was successful
MSG=IIF(LEFT(MEMVAR,1)=CHR(255),'File Read Error',;
   'TMS SCREEN Read Successful. Press a Key to Continue...')
@ 24,0 SAY MSG
WAIT
@ 24,0

* Write a TMS Screen
MEMVAR='WTS'+CHR(2)+CHR(1)+CHR(24)+CHR(80)+'TEST4.TMS'
IF .NOT. XNATIVE
  * use call with dBase III Plus or Clipper or QuickSilver d-code
  CALL TMSSCR WITH MEMVAR
ELSE
  * use ccall with QuickSilver native code
  CCALL TMSSCR WITH MEMVAR
ENDI
* check to see if the write was successful
MSG=IIF(LEFT(MEMVAR,1)=CHR(255),'File Write Error',;
   'TMS SCREEN Write Successful. Press a Key to Continue...')
@ 24,0 SAY MSG
WAIT
@ 24,0

CLEAR
* Display a Screen
MEMVAR='DIS'+CHR(18)+CHR(42)+CHR(23)+CHR(71)
IF .NOT. XNATIVE
  * use call with dBase III Plus or Clipper or QuickSilver d-code
  CALL TMSSCR WITH MEMVAR
ELSE
  * use ccall with QuickSilver native code
  CCALL TMSSCR WITH MEMVAR
ENDI
@ 24,0 SAY 'End of Demo, Press a Key to Continue...'
WAIT

IF .NOT. CLIPPER .AND. .NOT. XNATIVE
  * release the binary file
  RELE MODU TMSSCR
ENDI
SET CONS ON
RETU
